﻿FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["Procedure.Grpc/ProcGrpc.GrpcApi/ProcGrpc.GrpcApi.csproj", "Procedure.Grpc/ProcGrpc.GrpcApi/"]
RUN dotnet restore "Procedure.Grpc/ProcGrpc.GrpcApi/ProcGrpc.GrpcApi.csproj"
COPY . .
WORKDIR "/src/Procedure.Grpc/ProcGrpc.GrpcApi"
RUN dotnet build "ProcGrpc.GrpcApi.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "ProcGrpc.GrpcApi.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "ProcGrpc.GrpcApi.dll"]
